This API is required to be developed in order to enable Remote Host Authorization. The purpose of this endpoint is to receive the authorization request and make a decision on whether to approve the transaction
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Please be informed that the card balances in Merchant API will hit this endpoint to determine the current card balances, please anticipate high volume of balance inquiry authorization request and make sure to keep your response accurate and up-to-date.
You are required to provide us an apiKey which we will use in the authorization request as Authorization: Bearer <apiKey>. Without this header, you should not approve any request as it may potentially not be coming from us. We strongly suggest against reusing the same apiKey used in the webhook part.
Transaction approval response details
currency_code: (typeString) Required. In ISO 4217 format. Example Singaporean Dollar will be SGD. Indonesian Rupiah will be IDR.ledger_balance: (typeString) Required. The total amount of money in an account, including any outstanding checks or transactions that have been made but have not yet cleared.available_balance: (typeString) Required. The amount of money that is available to spend or withdraw immediately, taking into account any outstanding checks or transactions that have not yet cleared.transaction_id: (typeString) Required. Please re-use the same transaction id that came from the authorization request.remarks: (typeString) Optional. A quick description on what this transaction represents.
Transaction rejection response details
error_code: Required. Must be one of the available Remote Host Authorization Error Codes.message: Optional. Simple title for the error.description: Optional. Detailed description for the error.

